<a name="user-content-readme-top"></a>
<div align="center">
  <a href="https://dev.silverstudiogames.org">
    <img src="/assets/logo.webp" alt="Logo">
  </a>

  <p align="center">
    A complete repository for more than just Hermione's backend.
    <br />
    <a href="https://www.silverstudiogames.org/wiki"><strong>Explore the wiki »</strong></a>
    <br />
    <br />
    <a href="https://www.silverstudiogames.org/faq">FAQ</a>
    ·
    <a href="https://discord.gg/uYepjNPEsu">Report Bug</a>
    ·
    <a href="https://discord.gg/xCBDEnDb4w">Request Feature</a>
  </p>
</div>

<!-- GETTING STARTED -->
## Getting Started

* **`dev`:** Active development occurs primarily on this branch, and occasionally on feature branches.
* **`current`:** This branch is dedicated to patches for the current public version.
* **`main`:** The main branch is exclusively for finalized game releases.

## Prerequisites

<details>
  <summary>Windows</summary>
  <ol>
    <li><a href="https://www.renpy.org/release/8.1.1" target="_blank">Download and install Ren'py SDK</a></li>
    <li><a href="https://gitforwindows.org/" target="_blank">Download and install git</a></li>
  </ol>
</details>

<details>
  <summary>Debian</summary>

### Install Ren'Py SDK
<pre><code>curl -o renpy-sdk.tar.bz2 https://www.renpy.org/dl/8.1.1/renpy-8.1.1-sdk.tar.bz2
tar -xjf renpy-sdk.tar.bz2
mv renpy-8.1.1-sdk /opt/renpy
chmod +x /opt/renpy/renpy.sh
echo "alias renpy=/opt/renpy/renpy.sh" >> ~/.bashrc
source ~/.bashrc</code></pre>

### Install GIT, GIT-LFS
<pre><code>sudo apt install git git-lfs
git lfs install</code></pre>
  </summary>
</details>

## Installation

<details>
  <summary>Windows</summary>
  <ol>
    <li>Clone the repository:
      <pre><code>git clone https://dev.silverstudiogames.org/SilverStudioGames/WTS.git</code></pre>
    </li>
  <li>Run Ren'py Launcher.</li>
  <li>Hit preferences and select the directory where the project is located.</li>
  <li>Hit return and click on 'Launch Project'.</li>
  </ol>
</details>

<details>
  <summary>Debian</summary>
<pre><code>git clone https://dev.silverstudiogames.org/SilverStudioGames/WTS.git
renpy WTS</code></pre>
  </summary>
</details>

## Build

<details>
  <summary>Windows</summary>
Navigate the GUI in Ren'Py launcher for packaging purposes.
</details>
<details>
  <summary>Debian</summary>
<pre><code>renpy /opt/renpy/launcher distribute WTS --package pc</pre></code>
</details>

## License
Source code distributed under the LGPL-3.0 license. See [LICENSE](LICENSE) for more information.

## Active Developers:
- LoafyLemon - Lead Developer
- Johnny28 - Lead Writer
- Boppin - Lead Artist

## Contributors:
- MaiL, Mo, UE CatBug, Lineup, Soggy, Asease1, Linear, Lupin, Techy, Dr. Noodle
- MadMerlin, DostojevskijSTG, STG Artguy, Crew, Ven, perniciousducks, Cleanzo, Darwin7
- Pinguino, Sandmaster, Amadan, Heretic, Maverick, Anon, MedicBear, TropeCode, Booom313
- CaptainNemo, NotTera, Armise, Cosmic and anonymous.

<div align="center" style="margin=20px;">
  <a href="https://www.silverstudiogames.org">
    <img src="/assets/org.webp" alt="Silver Studio Games logo">
    <h3>Silver Studio Games</h3>
  </a>
</div>

<p align="right">(<a href="#readme-top">back to top</a>)</p>
